For the complete documentation index, see llms.txt. This page is also available as Markdown.

Application

Update merchant properties

put

Create or update one or more custom properties for the specified merchant.

Properties allow you to store external identifiers and other custom attributes that can be retrieved later.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

Query parameters
queryParametersstringOptional

By passing in an identifier on your query string, you can associate it with your merchant. Example of query parameter: {merchantNumber}/Properties/?ExternalCustomerId={Your Identifier}

Header parameters
exchangeIdstringOptional

Correlation Id for the request.

Responses
200

Parameters were successfully updated.

application/json
put/api/BoardingManagement/v1.0/Applications/{merchantNumber}/property
PUT /api/BoardingManagement/v1.0/Applications/{merchantNumber}/property HTTP/1.1
Accept: */*
{
  "content": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Get application properties

get

Retrieve properties created for the merchant.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

propertyNamestringRequired

The name of the property you want to retrieve.

Header parameters
exchangeIdstringOptional

Correlation Id for the request.

Responses
200

Returns a property.

application/json
get/api/BoardingManagement/v1.0/Applications/{merchantNumber}/Properties/{propertyName}
GET /api/BoardingManagement/v1.0/Applications/{merchantNumber}/Properties/{propertyName} HTTP/1.1
Accept: */*
{
  "content": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Create application

post

Create a new merchant application in the boarding system. This is the first step in the onboarding workflow and creates a merchant record.

The merchant number returned from this endpoint must be used in all subsequent API calls related to this application.

Header parameters
exchangeIdstringOptional

Correlation Id for the request.

Body
hierarchyNodeKeystringRequired

The unique key identifying the hierarchy node.

Example: 1234567800000001
dbaNamestring · nullableOptional

Doing Business As (DBA) name of the merchant.

Example: Sandbox Merchant
Responses
201

Returns a merchant number.

application/json
merchantNumberstringRequired

The merchant's unique identification number.

Example: 1234567812345679
post/api/BoardingManagement/v1.0/Applications/Create
POST /api/BoardingManagement/v1.0/Applications/Create HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "hierarchyNodeKey": "1234567800000001",
  "dbaName": "Sandbox Merchant"
}
{
  "merchantNumber": "1234567812345679"
}

Create default pricing plan

post

Initialize a pre-defined default pricing plan for the specified merchant.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

Header parameters
exchangeIdstringOptional

Correlation Id for the request.

Responses
200

Creating a pre-defined, default pricing plan.

application/json
object · EmptyResultOptional
post/api/BoardingManagement/v1.0/Applications/{merchantNumber}/InitializePricing
POST /api/BoardingManagement/v1.0/Applications/{merchantNumber}/InitializePricing HTTP/1.1
Accept: */*
{}

Submit signatures

post

Mark the merchant application as having all required signatures from authorized signers.

Call this endpoint only after all required signatures are collected and all administrative adjustments are complete.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

Header parameters
exchangeIdstringOptional

Correlation Id for the request.

Responses
200

Successfully submitted the signatures.

application/json
object · EmptyResultOptional
post/api/BoardingManagement/v1.0/Applications/{merchantNumber}/SubmitSignatures
POST /api/BoardingManagement/v1.0/Applications/{merchantNumber}/SubmitSignatures HTTP/1.1
Accept: */*
{}

Submit application

post

Submit a completed merchant application once all required data has been entered, reviewed and is satisfactory.

Path parameters
merchantNumberstringRequired

The merchant's unique identification number.

Header parameters
exchangeIdstringOptional

Correlation Id for the request.

Responses
200

Successfully submitted merchant. The data entering process is complete.

application/json
object · EmptyResultOptional
post/api/BoardingManagement/v1.0/Applications/{merchantNumber}/Submit
POST /api/BoardingManagement/v1.0/Applications/{merchantNumber}/Submit HTTP/1.1
Accept: */*
{}

Last updated

Was this helpful?